Get a automation rule details
GET
Get the details of a automation rule in the account
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
id*integerThe ID of the automation rule to be updated.
account_id*integerThe numeric ID of the account
Success
application/json- response
payload?array<>|Response payload that contains automation rule(s)
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/automation_rules/0'Example Response
{ "payload": { "id": 90, "account_id": 1, "name": "add-label-bug-if-message-contains-bug", "description": "add-label-bug-if-message-contains-bug", "event_name": "message_created", "conditions": [ { "values": [ "incoming" ], "attribute_key": "message_type", "query_operator": "and", "filter_operator": "equal_to" }, { "values": [ "bug" ], "attribute_key": "content", "filter_operator": "contains" } ], "actions": [ { "action_name": "add_label", "action_params": [ "bugs", "support-query" ] } ], "created_on": 1650555440, "active": true }}